local w, h = 120, 80
local dw, dh = love.graphics.getDimensions()
local cw, ch = dw/w, dh/h

local game = require("game")
local map = game.random(w, h)
local paused = false

function love.update(dt)
  -- edit map using the mouse
  local x, y = love.mouse.getPosition()
  local x2 = math.ceil(x/cw)
  local y2 = math.ceil(y/ch)
  if love.mouse.isDown('l') then
    map[x2][y2] = 1
    paused = true
  elseif love.mouse.isDown('r') then
    map[x2][y2] = 0
    paused = true
  else
    paused = false
  end
  -- update the map
  if not paused then
    map = game.step(map)
  end
end

function love.draw()
  for i = 1, w do
    for j = 1, h do
      if map[i][j] == 1 then
        love.graphics.rectangle('fill', cw*i - cw, ch*j - ch, cw, ch)
      end
    end
  end
end